### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Argentina Class Reference
Calendars

Argentinian calendars. More...

`#include <ql/time/calendars/argentina.hpp>`

Inheritance diagram for Argentina:
[legend]

List of all members.

## Public Types

enum | Market { Merval }

## Public Member Functions

| Argentina (Market m=Merval)

## Detailed Description

Argentinian calendars.

Holidays for the Buenos Aires stock exchange (data from <http://www.merval.sba.com.ar/>):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Holy Thursday
- Good Friday
- Labour Day, May 1st
- May Revolution, May 25th
- Death of General Manuel Belgrano, third Monday of June
- Independence Day, July 9th
- Death of General José de San Martín, third Monday of August
- Columbus Day, October 12th (moved to preceding Monday if on Tuesday or Wednesday and to following if on Thursday or Friday)
- Immaculate Conception, December 8th
- Christmas Eve, December 24th
- New Year's Eve, December 31th

## Member Enumeration Documentation

enum Market

Enumerator:

  Merval | Buenos Aires stock exchange calendar.